%define name	rboy
%define version	0.82
%define distsuffix plf
%define release	%mkrel 2
%define namever	%(echo %version | sed 's/\\.//g')

Summary:	Virtual Boy emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Group:		Emulators
License:	Freeware
URL:		http://www.goliathindustries.com/vb/
Source0:	http://www.goliathindustries.com/vb/download/emu/%{name}_%{namever}_src.zip
BuildRequires:	allegro-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Reality Boy is a portable program for emulating the Nintendo 
Virtual Boy software platform.

This package is in PLF because of its license.

%prep
%setup -q -c
%__perl -p -i -e 's|\r\n|\n|g' doc/*

%build
pushd src
%make -f ../linux/makefile OFLAGS="%optflags"
popd

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__install -m 755 src/%{name}_linux %{buildroot}%{_bindir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc doc/*
%attr(0755,root,root) %{_bindir}/%{name}

%clean
%__rm -rf %{buildroot}

%changelog
* Fri Sep 23 2005 Guillaume Bedot <littletux@zarb.org> 1:0.82-2plf
- build with allegro 4.2 for LE2005 too

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 1:0.82-1plf
- 0.82 build from source with allegro 4.2

* Sun Apr 17 2005 David Walluck <david@zarb.org> 1:0.81-3plf
- rebuild

* Sun Apr 17 2005 David Walluck <david@zarb.org> 1:0.81-2plf
- fix incoherent-version-in-changelog
- fix wrong-script-end-of-line-encoding
- fix strange-permission

* Sat Apr 02 2005 Olivier Thauvin <nanardon@zarb.org> 0.81-1plf
- 0.81 build from source

* Sat Oct 23 2004 David Walluck <david@zarb.org> 6.5-0.b1.1plf
- linux 6.5 beta (previous exe was MS-DOS)

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 0.7-2plf
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 0.7-1plf
- release
